Page MenuHomePhabricator

Enterprise redirect for wikimediaenterprise.com to enterprise.wikimedia.com
Closed, ResolvedPublic

Description

Earlier in the year with the official launch of the enterprise website we had asked redirects to be created for multiple domains.
https://phabricator.wikimedia.org/T296445

We unfortunately missed one and would like to have a redirect set for this domain as well.

Please set a redirect for http://wikimediaenterprise.com/ to https://enterprise.wikimedia.com/

Event Timeline

Change 850167 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] Add enterprisewikimedia.com as a ncredir domain

https://gerrit.wikimedia.org/r/850167

Change 850167 merged by Vgutierrez:

[operations/dns@master] Add wikimediaenteprise.com as a ncredir domain

https://gerrit.wikimedia.org/r/850167

Change 852159 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] Rename wikimediaenteprise.com zone to wikimediaenterprise.com

https://gerrit.wikimedia.org/r/852159

Change 852159 merged by Vgutierrez:

[operations/dns@master] Rename wikimediaenteprise.com zone to wikimediaenterprise.com

https://gerrit.wikimedia.org/r/852159

Change 852201 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] acme-chief: Add wikimediaenterprise.com to ncredir certs

https://gerrit.wikimedia.org/r/852201

Change 852202 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] ncredir: Add wikimediaenterprise.com rewrite rule

https://gerrit.wikimedia.org/r/852202

Change 852201 merged by Vgutierrez:

[operations/puppet@production] acme-chief: Add wikimediaenterprise.com to ncredir certs

https://gerrit.wikimedia.org/r/852201

Vgutierrez changed the task status from Open to Stalled.Nov 2 2022, 2:22 PM
Vgutierrez triaged this task as Medium priority.
Vgutierrez subscribed.

new certs have been issued for ncredir to handle wikimediaenterprise.com traffic, those will be automatically deployed in one week:

acme-chief-backend[28603]: Staging_time will be enforced for non-canonical-redirect-4 / ec-prime256v1 till 2022-11-09 13:20:00

Change 852202 merged by Vgutierrez:

[operations/puppet@production] ncredir: Add wikimediaenterprise.com rewrite rule

https://gerrit.wikimedia.org/r/852202

Vgutierrez claimed this task.
vgutierrez@ncredir6001:~$ curl -L -I http://wikimediaenterprise.com 
HTTP/1.1 301 Moved Permanently
Server: nginx/1.14.2
Date: Wed, 09 Nov 2022 17:08:50 GMT
Content-Type: text/html
Content-Length: 185
Connection: keep-alive
Location: https://wikimediaenterprise.com/

HTTP/2 301 
server: nginx/1.14.2
date: Wed, 09 Nov 2022 17:08:50 GMT
content-type: text/html
content-length: 185
location: https://enterprise.wikimedia.com/
strict-transport-security: max-age=106384710; includeSubDomains; preload

done, it can take up to 30 minutes to be available on every ncredir node